<?php



// Version: 1.1; Display

function template_main()

{

	global $context, $settings, $options, $txt, $scripturl, $modSettings;



	// Show the anchor for the top and for the first message. If the first message is new, say so.

	echo '

<a name="top"></a>

<a name="msg', $context['first_message'], '"></a>', $context['first_new_message'] ? '<a name="new"></a>' : '';



	  // Show the linktree

	echo '

<div>', theme_linktree(), '</div>';



	// Is this topic also a poll?

	if ($context['is_poll'])

	{

		echo '

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/table_side_left.gif" alt=""/></td>



<td width="100%" style="background-image:url(',$settings['images_url'],'/table_side_mid.gif); padding-top: 9px;" align="right">

</td>

<td><img src="',$settings['images_url'],'/table_side_right.gif" alt=""/></td>

</tr>

</table>

<table cellpadding="3" cellspacing="1" border="0" width="100%" class="tborder">

	<tr>

		<td class="titlebg" colspan="2" valign="middle" style="padding-left: 6px;">

			<img src="', $settings['images_url'], '/topic/', $context['poll']['is_locked'] ? 'normal_poll_locked' : 'normal_poll', '.gif" alt="" style="vertical-align:middle;"/> ', $txt['smf43'], '

		</td>

	</tr>

	<tr>

		<td width="5%" valign="top" class="windowbg"><b>', $txt['smf21'], ':</b></td>

		<td class="windowbg">

			', $context['poll']['question'];

		if (!empty($context['poll']['expire_time']))

			echo '

					&nbsp;(', ($context['poll']['is_expired'] ? $txt['poll_expired_on'] : $txt['poll_expires_on']), ': ', $context['poll']['expire_time'], ')';



		// Are they not allowed to vote but allowed to view the options?

		if ($context['poll']['show_results'] || !$context['allow_vote'])

		{

			echo '

			<table>

				<tr>

					<td style="padding-top: 2ex;">

						<table border="0" cellpadding="0" cellspacing="0">';



				// Show each option with its corresponding percentage bar.

			foreach ($context['poll']['options'] as $option)

				echo '

							<tr>

								<td style="padding-right: 2ex;', $option['voted_this'] ? 'font-weight: bold;' : '', '">', $option['option'], '</td>', $context['allow_poll_view'] ? '

								<td nowrap="nowrap">' . $option['bar'] . ' ' . $option['votes'] . ' (' . $option['percent'] . '%)</td>' : '', '

							</tr>';



			echo '

						</table>

					</td>

					<td valign="bottom" style="padding-left: 15px;">';



			// If they are allowed to revote - show them a link!

			if ($context['allow_change_vote'])

				echo '

					<a href="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], ';sesc=', $context['session_id'], '">', $txt['poll_change_vote'], '</a><br />';



			// If we're viewing the results... maybe we want to go back and vote?

			if ($context['poll']['show_results'] && $context['allow_vote'])

				echo '

						<a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], '">', $txt['poll_return_vote'], '</a><br />';



			// If they're allowed to lock the poll, show a link!

			if ($context['poll']['lock'])

				echo '

						<a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', !$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b'], '</a><br />';



			// If they're allowed to edit the poll... guess what... show a link!

			if ($context['poll']['edit'])

				echo '

						<a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a>';



			echo '

					</td>

				</tr>', $context['allow_poll_view'] ? '

				<tr>

					<td colspan="2"><b>' . $txt['smf24'] . ': ' . $context['poll']['total_votes'] . '</b></td>

				</tr>' : '', '

			</table><br />';

		}

		// They are allowed to vote! Go to it!

		else

		{

			echo '

			<form action="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], '" method="post" accept-charset="', $context['character_set'], '" style="margin: 0px;">

				<table>

					<tr>

						<td colspan="2">';



			// Show a warning if they are allowed more than one option.

			if ($context['poll']['allowed_warning'])

				echo '

							', $context['poll']['allowed_warning'], '

						</td>

					</tr><tr>

						<td>';



			// Show each option with its button - a radio likely.

			foreach ($context['poll']['options'] as $option)

				echo '

							', $option['vote_button'], ' ', $option['option'], '<br />';



			echo '

						</td>

						<td valign="bottom" style="padding-left: 15px;">';



			// Allowed to view the results? (without voting!)

			if ($context['allow_poll_view'])

				echo '

							<a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], ';viewResults">', $txt['smf29'], '</a><br />';



			// Show a link for locking the poll as well...

			if ($context['poll']['lock'])

				echo '

							<a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', (!$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b']), '</a><br />';



			// Want to edit it? Click right here......

			if ($context['poll']['edit'])

				echo '

							<a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a>';



				echo '

						</td>

					</tr><tr>

						<td colspan="2"><input type="submit" value="', $txt['smf23'], '" /></td>

					</tr>

				</table>

				<input type="hidden" name="sc" value="', $context['session_id'], '" />

			</form>';

		}



		echo '

		</td>

	</tr>

</table><table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/table_bottom_left.gif" alt=""/></td>



<td width="100%" style="background-image:url(',$settings['images_url'],'/table_bottom_bg.gif); padding-top: 9px;" align="right">

</td>

<td><img src="',$settings['images_url'],'/table_bottom_right.gif" alt=""/></td>

</tr>

</table>';

	}



	// Does this topic have some events linked to it?

	if (!empty($context['linked_calendar_events']))

	{

		echo '

<table cellpadding="3" cellspacing="1" border="0" width="100%" class="tborder" style="padding-top: 0; margin-bottom: 3ex;">

		<tr>

				<td class="titlebg" valign="middle" align="left" style="padding-left: 6px;">

						', $txt['calendar_linked_events'], '

				</td>

		</tr>

		<tr>

				<td width="5%" valign="top" class="windowbg">

						<ul>';

		foreach ($context['linked_calendar_events'] as $event)

			echo '

								<li>

									', ($event['can_edit'] ? '<a href="' . $event['modify_href'] . '" style="color: red;">*</a> ' : ''), '<b>', $event['title'], '</b>: ', $event['start_date'], ($event['start_date'] != $event['end_date'] ? ' - ' . $event['end_date'] : ''), '

								</li>';

		echo '

						</ul>

				</td>

		</tr>

</table>';

	}



	 // Build the normal button array.

	$normal_buttons = array(

		'reply' => array('test' => 'can_reply', 'text' => 146, 'image' => 'reply.gif', 'lang' => true, 'url' => $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';num_replies=' . $context['num_replies']),

		'notify' => array('test' => 'can_mark_notify', 'text' => 125, 'image' => 'notify.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']) . '\');"', 'url' => $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']),

		'custom' => array(),

		'send' => array('test' => 'can_send_topic', 'text' => 707, 'image' => 'sendtopic.gif', 'lang' => true, 'url' => $scripturl . '?action=sendtopic;topic=' . $context['current_topic'] . '.0'),

		'print' => array('text' => 465, 'image' => 'print.gif', 'lang' => true, 'custom' => 'target="_blank"', 'url' => $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0'),

	);



	// Special case for the custom one.

	if ($context['user']['is_logged'] && $settings['show_mark_read'])

		$normal_buttons['custom'] = array('text' => 'mark_unread', 'image' => 'markunread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=topic;t=' . $context['mark_unread_time'] . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']);

	elseif ($context['can_add_poll'])

		$normal_buttons['custom'] = array('text' => 'add_poll', 'image' => 'add_poll.gif', 'lang' => true, 'url' => $scripturl . '?action=editpoll;add;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']);

	else

		unset($normal_buttons['custom']);





	// Show the page index... "Pages: [1]".

	echo '

<table width="100%" cellpadding="0" cellspacing="0" border="0">

	<tr>

		<td class="middletext" valign="bottom" style="padding-bottom: 4px;">', $txt[139], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . ' <a href="#lastPost"><b>' . $txt['topbottom5'] . '</b></a>' : '', '</td>

		<td align="right" style="padding-right: 1ex;">

			<div class="nav" style="margin-bottom: 2px;"> ', $context['previous_next'], '</div>

		</td>

	</tr>

</table>';





	echo '

<form action="', $scripturl, '?action=quickmod2;topic=', $context['current_topic'], '.', $context['start'], '" method="post" accept-charset="', $context['character_set'], '" name="quickModForm" id="quickModForm" style="margin: 0;" onsubmit="return in_edit_mode == 1 ? modify_save(\'' . $context['session_id'] . '\') : confirm(\'' . $txt['quickmod_confirm'] . '\');">';



	// Get all the messages...

 $num = count($context['get_message']);

$i = 0;

while ($message = $context['get_message']())

	{

$i++;

		// Show the message anchor and a "new" anchor if this message is new.

		if ($message['id'] != $context['first_message'])

			echo '

		<a name="msg', $message['id'], '"></a>', $message['first_new'] ? '<a name="new"></a>' : '';



if ($message['id'] == $context['topic_first_message']) 

{

echo'

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/table_side_left.gif" alt=""/></td>



<td width="100%" style="background-image:url(',$settings['images_url'],'/table_side_mid.gif); padding-top: 9px;" align="right">

', template_button_strip($normal_buttons) , '

</td>

<td><img src="',$settings['images_url'],'/table_side_right.gif" alt=""/></td>

</tr>

</table>

<table width="100%" cellpadding="5" cellspacing="1" class="tborder" style="table-layout: fixed;">

<tr>

<td class="titlebg" align="center" width="30%">',$txt['authorinfo'],'</td><td class="titlebg" width="70%"><img src="', $message['icon_url'] . '" alt="" border="0" style="vertical-align: middle;" /> Subject: ', $context['subject'], '<span class="smalltext">   <b>', !empty($message['counter']) ? $txt[146] . ' #' . $message['counter'] : '', ' ', $txt[30], ':</b> ', $message['time'], ' </span></td>

</tr>

<tr>

<td width="30%" class="windowbg" style="overflow: hidden;">';

// Show infromation bout teh pooster of teh messarge!

echo'

<table width="100%" cellpadding="0" cellspacing="6">

<tr>

<td>

<img src="',$settings['images_url'],'/icons/members.gif" alt=""/>

</td>

<td align="left" width="100%">

<span class="smalltext">',$txt['authorname'],'</span><br/>

<span class="largetext">',$message['member']['link'],'</span><br/>';



		// Show the member's custom title, if they have one.

		if (isset($message['member']['title']) && $message['member']['title'] != '')

			echo '

								<span class="smalltext">', $message['member']['title'], '</span>';









echo'</td></tr></table>

</td>

<td width="70%" class="windowbg2" rowspan="2" valign="top" style="overflow: hidden;">



<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td align="right" width="100%"><b>';

		// Can they reply? Have they turned on quick reply?

		if ($context['can_reply'] && !empty($options['display_quick_reply']))

			echo '

					<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '" onclick="doQuote(', $message['id'], ', \'', $context['session_id'], '\'); return false;"> &nbsp; ',$txt['revquote'],'</a>';



		// So... quick reply is off, but they *can* reply?

		elseif ($context['can_reply'])

			echo '

					<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '"> &nbsp; ',$txt['revquote'],'</a>';



		// Can the user modify the contents of this post?

		if ($message['can_modify'])

			echo '

					<a href="', $scripturl, '?action=post;msg=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '"> &nbsp; ',$txt['revmodify'],'</a>';



		// How about... even... remove it entirely?!

		if ($message['can_remove'])

			echo '

					<a href="', $scripturl, '?action=deletemsg;topic=', $context['current_topic'], '.', $context['start'], ';msg=', $message['id'], ';sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt[154], '?\');"> &nbsp; ',$txt['revdelete'],'</a>';



		// What about splitting it off the rest of the topic?

		if ($context['can_split'])

			echo '

					<a href="', $scripturl, '?action=splittopics;topic=', $context['current_topic'], '.0;at=', $message['id'], '"> &nbsp; ',$txt['revsplit'],'</a>';



		// Show a checkbox for quick moderation?

		if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $message['can_remove'])

			echo '

									<input type="checkbox" name="msgs[]" value="', $message['id'], '" class="check" ', empty($settings['use_tabs']) ? 'onclick="document.getElementById(\'quickmodSubmit\').style.display = \'\';"' : '', ' />';



echo'</b></td></tr></table><p/>';



echo'

',$message['body'],'';

	

// Show " Last Edit: Time by Person " if this post was edited.

		if ($settings['show_modify'] && !empty($message['modified']['name']))

			echo '

								   <i>', $txt[211], ': ', $message['modified']['time'], ' ', $txt[525], ' ', $message['modified']['name'], '</i> ';

echo'</td></tr>

<tr>

<td class="windowbg" align="center" valign="top">';

if (!$message['member']['is_guest'])

		{



  echo '

			 <center>', $message['member']['group_stars'], '</center>';

}



echo'

<div class="smalltext">';



		// Show the member's primary group (like 'Administrator') if they have one.

		if (isset($message['member']['group']) && $message['member']['group'] != '')

			echo '

							  <table width="100%" cellpadding="0" cellspacing="0">

<tr><td><img src="',$settings['images_url'],'/topic_user_info_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/topic_user_info_mid.gif);" class="smalltext" align="left"><span style="color: #FFFFFF;"><b>',$txt['displaygroup'],'  ', $message['member']['group'], '</b></span></td><td><img src="',$settings['images_url'],'/topic_user_info_right.gif" alt=""/></td></tr></table>';



		// Don't show these things for guests.

		if (!$message['member']['is_guest'])

		{

			// Show the post group if and only if they have no other group or the option is on, and they are in a post group.

			if ((empty($settings['hide_post_group']) || $message['member']['group'] == '') && $message['member']['post_group'] != '')

				echo '

							 

<table width="100%" cellpadding="0" cellspacing="0">

<tr><td><img src="',$settings['images_url'],'/topic_user_info_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/topic_user_info_mid.gif);" class="smalltext" align="left"><span style="color: #FFFFFF;"><b>',$txt['displayrank'],' ', $message['member']['post_group'], '</b></span></td><td><img src="',$settings['images_url'],'/topic_user_info_right.gif" alt=""/></td></tr></table>';





			// Show how many posts they have made.

			echo '

							 <table width="100%" cellpadding="0" cellspacing="0">

<tr><td><img src="',$settings['images_url'],'/topic_user_info_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/topic_user_info_mid.gif);" class="smalltext" align="left"><span style="color: #FFFFFF;"><b>', $txt[26], ': ', $message['member']['posts'], '</b></span></td><td><img src="',$settings['images_url'],'/topic_user_info_right.gif" alt=""/></td></tr></table>';



			// Is karma display enabled?  Total or +/-?

			if ($modSettings['karmaMode'] == '1')

				echo '

  <table width="100%" cellpadding="0" cellspacing="0">

<tr><td><img src="',$settings['images_url'],'/topic_user_info_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/topic_user_info_mid.gif);" class="smalltext" align="left"><span style="color: #FFFFFF;"><b>

								', $modSettings['karmaLabel'], ' ', $message['member']['karma']['good'] - $message['member']['karma']['bad'], '';

			elseif ($modSettings['karmaMode'] == '2')

				echo '

								 <table width="100%" cellpadding="0" cellspacing="0">

<tr><td><img src="',$settings['images_url'],'/topic_user_info_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/topic_user_info_mid.gif);" class="smalltext" align="left"><span style="color: #FFFFFF;"><b>

								', $modSettings['karmaLabel'], ' +', $message['member']['karma']['good'], '/-', $message['member']['karma']['bad'], '';



			// Is this user allowed to modify this member's karma?

			if ($message['member']['karma']['allow'])

				echo '

								<a href="', $scripturl, '?action=modifykarma;sa=applaud;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.' . $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaApplaudLabel'], '</a>

								<a href="', $scripturl, '?action=modifykarma;sa=smite;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaSmiteLabel'], '</a>';



// Just close the karma box, if either setting is enabled, that is!

			if ($modSettings['karmaMode'] == '1' || $modSettings['karmaMode'] == '2')



echo'</b></span></td><td><img src="',$settings['images_url'],'/topic_user_info_right.gif" alt=""/></td></tr></table><p/>';





// Start the white box that holds alot of info

echo'

<table width="100%" cellpadding="0" cellspacing="0" style="margin-top: 5px;">

<tr>

<td><img src="',$settings['images_url'],'/usersection_topleft.gif" alt="" style="vertical-align: bottom;"/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/usersection_topmid.gif); background-repeat: repeat-x; background-position: bottom;"></td>

<td><img src="',$settings['images_url'],'/usersection_topright.gif" alt="" style="vertical-align: bottom;"/></td>

</tr>

</table>

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td style="background-image:url(',$settings['images_url'],'/usersection_left.gif);"><img src="',$settings['images_url'],'/usersection_left.gif" alt=""/></td>

<td bgcolor="#DADFE5" width="100%" align="center">';

			// Show avatars, images, etc.?

			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($message['member']['avatar']['image']))

				echo '

								', $message['member']['avatar']['image'], '';



if(empty($message['member']['avatar']['image']))

echo'<img src="',$settings['images_url'],'/noavatar.gif" alt=""/>';



echo'</td>

<td style="background-image:url(',$settings['images_url'],'/usersection_right.gif);"><img src="',$settings['images_url'],'/usersection_right.gif" alt=""/></td>

</tr>

</table>';



/* OK, this part gets a bit complicated. This is the on/offline graphics, but not really. (?) We'll just check what the online text WOULD be if we were using it and then go from there. */

if (!empty($modSettings['onlineEnable']) && !$message['member']['is_guest'])

{

if($message['member']['online']['text'] == 'Online')

{

echo'

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/online_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/onoffline_mid.gif);"></td>

<td><img src="',$settings['images_url'],'/online_right.gif" alt=""/></td>

</tr>

</table>';

}

else

{

echo'

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/offline_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/onoffline_mid.gif);"></td>

<td><img src="',$settings['images_url'],'/offline_right.gif" alt=""/></td>

</tr>

</table>';

}

}

else

{

// When on/offline is turned off, just continue mr. whitebox.

echo'<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td style="background-image:url(',$settings['images_url'],'/usersection_left.gif);"><img src="',$settings['images_url'],'/usersection_left.gif" alt=""/></td>

<td bgcolor="#DADFE5" width="100%" align="center"></td>

<td style="background-image:url(',$settings['images_url'],'/usersection_right.gif);"><img src="',$settings['images_url'],'/usersection_right.gif" alt=""/></td>

</tr>

</table>';

}



// OK, got that done. Finish the white box now, and add in personal text if the user has it.

echo'

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td style="background-image:url(',$settings['images_url'],'/usersection_left.gif);"><img src="',$settings['images_url'],'/usersection_left.gif" alt=""/></td>

<td bgcolor="#DADFE5" width="100%" align="center">';  

// Show their personal text?

			if (!empty($settings['show_blurb']) && $message['member']['blurb'] != '')

				echo '

								<span class="smalltext">', $message['member']['blurb'], '</span>';



echo'</td>

<td style="background-image:url(',$settings['images_url'],'/usersection_right.gif);"><img src="',$settings['images_url'],'/usersection_right.gif" alt=""/></td>

</tr>

</table>';



// DONE, finally. 



echo'

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/usersection_bottomleft.gif" alt="" style="vertical-align: top;"/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/usersection_bottommid.gif); background-repeat: repeat-x; background-position: top;"></td>

<td><img src="',$settings['images_url'],'/usersection_bottomright.gif" alt="" style="vertical-align: top;" /></td>

</tr>

</table><p/>';



			// Show the member's gender icon?

			if (!empty($settings['show_gender']) && $message['member']['gender']['image'] != '')

				echo '

								', $txt[231], ': ', $message['member']['gender']['image'], '<br />';



			// This shows the popular messaging icons.

			echo '

								', $message['member']['icq']['link'], '

								', $message['member']['msn']['link'], '

								', $message['member']['aim']['link'], '

								', $message['member']['yim']['link'], '<br />';



			// Show the profile, website, email address, and personal message buttons.

			if ($settings['show_profile_buttons'])

			{

				// Don't show the profile button if you're not allowed to view the profile.

				if ($message['member']['can_view_profile'])

					echo '

								<a href="', $message['member']['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt[27] . '" title="' . $txt[27] . '" border="0" />' : $txt[27]), '</a>';



				// Don't show an icon if they haven't specified a website.

				if ($message['member']['website']['url'] != '')

					echo '

								<a href="', $message['member']['website']['url'], '" title="' . $message['member']['website']['title'] . '" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" />' : $txt[515]), '</a>';



				// Don't show the email address if they want it hidden.

				if (empty($message['member']['hide_email']))

					echo '

								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';



				// Since we know this person isn't a guest, you *can* message them.

				if ($context['can_send_pm'])

					echo '

								<a href="', $scripturl, '?action=pm;sa=send;u=', $message['member']['id'], '" title="', $message['member']['online']['label'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($message['member']['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . $message['member']['online']['label'] . '" border="0" />' : $message['member']['online']['label'], '</a>';

			}

		}

		// Otherwise, show the guest's email.

		elseif (empty($message['member']['hide_email']))

			echo '

								<br />

								<br />

								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';

echo'<p/><span class="smalltext">';



		// Maybe they want to report this post to the moderator(s)?

		if ($context['can_report_moderator'])

			echo '

									<p/><a href="', $scripturl, '?action=reporttm;topic=', $context['current_topic'], '.', $message['counter'], ';msg=', $message['id'], '">', $txt['rtm1'], '</a> ';

		echo '

									<br/><img src="', $settings['images_url'], '/ip.gif" alt="" border="0" />';



		// Show the IP to this user for this post - because you can moderate?

		if ($context['can_moderate_forum'] && !empty($message['member']['ip']))

			echo '

									<a href="', $scripturl, '?action=trackip;searchip=', $message['member']['ip'], '">', $message['member']['ip'], '</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';

		// Or, should we show it because this is you?

		elseif ($message['can_see_ip'])

			echo '

									<br/><a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $message['member']['ip'], '</a>';

		// Okay, are you at least logged in?  Then we can show something about why IPs are logged...

		elseif (!$context['user']['is_guest'])

			echo '

									<br/><a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $txt[511], '</a>';

		// Otherwise, you see NOTHING!

		else

			echo '

									', $txt[511];



// That finishes up all of the information about the topic starter.



echo'</span>

</div>

</td>

</tr>

';



		// Assuming there are attachments...

		if (!empty($message['attachment']))

		{

			echo '

									<tr><td width="100%" colspan="2" class="windowbg">

',$txt['attached'],'

									<div style="overflow: auto; width: 100%;">';

			foreach ($message['attachment'] as $attachment)

			{

				if ($attachment['is_image'])

				{

					if ($attachment['thumbnail']['has_thumb'])

						echo '

									<a href="', $attachment['href'], ';image" id="link_', $attachment['id'], '" onclick="', $attachment['thumbnail']['javascript'], '"><img src="', $attachment['thumbnail']['href'], '" alt="" id="thumb_', $attachment['id'], '" border="0" /></a><br />';

					else

						echo '

									<img src="' . $attachment['href'] . ';image" alt="" width="' . $attachment['width'] . '" height="' . $attachment['height'] . '" border="0" /><br />';

				}

				echo '

										<a href="' . $attachment['href'] . '"><img src="' . $settings['images_url'] . '/icons/clip.gif" align="middle" alt="*" border="0" />' . $attachment['name'] . '</a> (', $attachment['size'], ($attachment['is_image'] ? ', ' . $attachment['real_width'] . 'x' . $attachment['real_height'] . ' - ' . $txt['attach_viewed'] : ' - ' . $txt['attach_downloaded']) . ' ' . $attachment['downloads'] . ' ' . $txt['attach_times'] . '.)<br />';

			}



			echo '

									</div></td></tr>';

		}



  // Show the member's signature?

		if (!empty($message['member']['signature']) && empty($options['show_no_signatures']))

			echo '

							<tr><td width="100%" colspan="2" class="windowbg"><div class="signature">', $message['member']['signature'], '</div></td></tr>';

echo'

</table><table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/table_bottom_left.gif" alt=""/></td>

<td style="background-image:url(',$settings['images_url'],'/table_bottom_bg.gif); width: 100%;"></td>

<td><img src="',$settings['images_url'],'/table_bottom_right.gif" alt=""/></td>

</tr>

</table><p/>



<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td valign="top">';



if($context['num_replies'] > 0)

echo'<img src="',$settings['images_url'],'/reply_subarrows.gif" alt=""/>';



echo'</td>

<td width="100%" align="right">';

}

  /* This is the template for a reply - but it's first on a page. We're gonna change it up a bit. Just add a header with some topic info so they know wtf they are looking at! */



elseif ($i == '1')

{

// Here it is, the "topic" box thing..if you want to call it that.

echo '

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/table_side_left.gif" alt=""/></td>



<td width="100%" style="background-image:url(',$settings['images_url'],'/table_side_mid.gif); padding-top: 9px;" align="right">

', template_button_strip($normal_buttons) , '

</td>

<td><img src="',$settings['images_url'],'/table_side_right.gif" alt=""/></td>

</tr>

</table>

<table width="100%" cellpadding="6" cellspacing="1" class="tborder">

<tr>

<td class="titlebg">',$txt['repliesto'],': ', $context['subject'], '</td>

</tr>

</table>

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><img src="',$settings['images_url'],'/table_bottom_left.gif" alt=""/></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/table_bottom_bg.gif);" align="center">

</td>

<td><img src="',$settings['images_url'],'/table_bottom_right.gif" alt=""/></td>

</tr>

</table><p/>';



// Open up the table for the replies again, since the other one isn't going to be shown on this page..at all



echo'

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td valign="top"><img src="',$settings['images_url'],'/reply_subarrows.gif" alt=""/></td>

<td width="100%" align="right">';



// Now it's just a normal reply!

echo'<!--ok-->

<div id="userinfo', $message['id'], '" style="position:absolute; border: 0px solid #000000; width: 150px; padding: 0px; display:none">

<table cellpadding="4" cellspacing="1" class="tborder" width="150">

<tr>

<td class="windowbg" style="width: 100%;" align="center">

<span class="smalltext">';



		// Show the member's custom title, if they have one.

		if (isset($message['member']['title']) && $message['member']['title'] != '')

			echo '

								', $message['member']['title'], '<br />';



		// Show the member's primary group (like 'Administrator') if they have one.

		if (isset($message['member']['group']) && $message['member']['group'] != '')

			echo '

								', $message['member']['group'], '<br />';



		// Don't show these things for guests.

		if (!$message['member']['is_guest'])

		{

			// Show the post group if and only if they have no other group or the option is on, and they are in a post group.

			if ((empty($settings['hide_post_group']) || $message['member']['group'] == '') && $message['member']['post_group'] != '')

				echo '

								', $message['member']['post_group'], '<br />';

			echo '

								', $message['member']['group_stars'], '<br />';



			// Is karma display enabled?  Total or +/-?

			if ($modSettings['karmaMode'] == '1')

				echo '

								<br />

								', $modSettings['karmaLabel'], ' ', $message['member']['karma']['good'] - $message['member']['karma']['bad'], '<br />';

			elseif ($modSettings['karmaMode'] == '2')

				echo '

								<br />

								', $modSettings['karmaLabel'], ' +', $message['member']['karma']['good'], '/-', $message['member']['karma']['bad'], '<br />';



			// Is this user allowed to modify this member's karma?

			if ($message['member']['karma']['allow'])

				echo '

								<a href="', $scripturl, '?action=modifykarma;sa=applaud;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.' . $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaApplaudLabel'], '</a>

								<a href="', $scripturl, '?action=modifykarma;sa=smite;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaSmiteLabel'], '</a><br />';



			// Show online and offline buttons?

			if (!empty($modSettings['onlineEnable']) && !$message['member']['is_guest'])

				echo '

								', $context['can_send_pm'] ? '<a href="' . $message['member']['online']['href'] . '" title="' . $message['member']['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $message['member']['online']['image_href'] . '" alt="' . $message['member']['online']['text'] . '" border="0" style="margin-top: 2px;" />' : $message['member']['online']['text'], $context['can_send_pm'] ? '</a>' : '', $settings['use_image_buttons'] ? '<span class="smalltext"> ' . $message['member']['online']['text'] . '</span>' : '', '<br /><br />';



			// Show the member's gender icon?

			if (!empty($settings['show_gender']) && $message['member']['gender']['image'] != '')

				echo '

								', $txt[231], ': ', $message['member']['gender']['image'], '<br />';



			// Show how many posts they have made.

			echo '

								', $txt[26], ': ', $message['member']['posts'], '<br />

								<br />';



			// Show their personal text?

			if (!empty($settings['show_blurb']) && $message['member']['blurb'] != '')

				echo '

								', $message['member']['blurb'], '<br />

								<br />';



			// This shows the popular messaging icons.

			echo '

								', $message['member']['icq']['link'], '

								', $message['member']['msn']['link'], '

								', $message['member']['aim']['link'], '

								', $message['member']['yim']['link'], '<br />';



			// Show the profile, website, email address, and personal message buttons.

			if ($settings['show_profile_buttons'])

			{

				// Don't show the profile button if you're not allowed to view the profile.

				if ($message['member']['can_view_profile'])

					echo '

								<a href="', $message['member']['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt[27] . '" title="' . $txt[27] . '" border="0" />' : $txt[27]), '</a>';



				// Don't show an icon if they haven't specified a website.

				if ($message['member']['website']['url'] != '')

					echo '

								<a href="', $message['member']['website']['url'], '" title="' . $message['member']['website']['title'] . '" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" />' : $txt[515]), '</a>';



				// Don't show the email address if they want it hidden.

				if (empty($message['member']['hide_email']))

					echo '

								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';



				// Since we know this person isn't a guest, you *can* message them.

				if ($context['can_send_pm'])

					echo '

								<a href="', $scripturl, '?action=pm;sa=send;u=', $message['member']['id'], '" title="', $message['member']['online']['label'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($message['member']['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . $message['member']['online']['label'] . '" border="0" />' : $message['member']['online']['label'], '</a>';

			}

		}

		// Otherwise, show the guest's email.

		elseif (empty($message['member']['hide_email']))

			echo '

								<br />

								<br />

								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';



		// Maybe they want to report this post to the moderator(s)?

		if ($context['can_report_moderator'])

			echo '

									<p/><a href="', $scripturl, '?action=reporttm;topic=', $context['current_topic'], '.', $message['counter'], ';msg=', $message['id'], '">', $txt['rtm1'], '</a> ';

		echo '

									<br/><img src="', $settings['images_url'], '/ip.gif" alt="" border="0" />';



		// Show the IP to this user for this post - because you can moderate?

		if ($context['can_moderate_forum'] && !empty($message['member']['ip']))

			echo '

<a href="', $scripturl, '?action=trackip;searchip=', $message['member']['ip'], '">', $message['member']['ip'], '</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';

		// Or, should we show it because this is you?

		elseif ($message['can_see_ip'])

			echo '

									<br/><a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $message['member']['ip'], '</a>';

		// Okay, are you at least logged in?  Then we can show something about why IPs are logged...

		elseif (!$context['user']['is_guest'])

			echo '

									<br/><a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $txt[511], '</a>';

		// Otherwise, you see NOTHING!

		else

			echo '

									', $txt[511];





echo'</span>

<div style="text-align: right;"><a href="#" onclick="overlayclose(\'userinfo', $message['id'], '\'); return false">[',$txt['closebox'],']</a></div>

</td></tr></table></div>

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><a href="#userinfo', $message['id'], '" onclick="return overlay(this, \'userinfo', $message['id'], '\',\'bottomright\')"><img src="'.$settings['images_url'].'/replybox/replybox_topleft.gif" alt="" style="vertical-align: bottom;"/></a></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/replybox/replybox_topmid.gif); padding-top: 14px; padding-left: 6px; background-position: bottom;" align="left">

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td width="50%" align="left" class="smalltext"><b>

',$txt['reppostedby'],' ', $message['member']['link'], '</b></td>

<td width="50%" align="right" class="smalltext"><b>';

		// Can they reply? Have they turned on quick reply?

		if ($context['can_reply'] && !empty($options['display_quick_reply']))

			echo '

					<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '" onclick="doQuote(', $message['id'], ', \'', $context['session_id'], '\'); return false;"> &nbsp; ',$txt['revquote'],'</a>';



		// So... quick reply is off, but they *can* reply?

		elseif ($context['can_reply'])

			echo '

					<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '"> &nbsp; ',$txt['revquote'],'</a>';



		// Can the user modify the contents of this post?

		if ($message['can_modify'])

			echo '

					<a href="', $scripturl, '?action=post;msg=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '"> &nbsp; ',$txt['revmodify'],'</a>';



		// How about... even... remove it entirely?!

		if ($message['can_remove'])

			echo '

					<a href="', $scripturl, '?action=deletemsg;topic=', $context['current_topic'], '.', $context['start'], ';msg=', $message['id'], ';sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt[154], '?\');"> &nbsp; ',$txt['revdelete'],'</a>';



		// What about splitting it off the rest of the topic?

		if ($context['can_split'])

			echo '

					<a href="', $scripturl, '?action=splittopics;topic=', $context['current_topic'], '.0;at=', $message['id'], '"> &nbsp; ',$txt['revsplit'],'</a>';



		// Show a checkbox for quick moderation?

		if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $message['can_remove'])

			echo '

									<input type="checkbox" name="msgs[]" value="', $message['id'], '" class="check" ', empty($settings['use_tabs']) ? 'onclick="document.getElementById(\'quickmodSubmit\').style.display = \'\';"' : '', ' />';



echo'</b></td>

</tr>

</table>



</td>

<td><img src="',$settings['images_url'],'/replybox/replybox_topright.gif" alt="" style="vertical-align: bottom;"/></td>

</tr>

</table>

<table width="100%" cellspacing="0" cellpadding="0" style="table-layout: fixed;">

<tr>

<td width="16" style="background-image:url(',$settings['images_url'],'/replybox/replybox_left.gif); background-position: top;"><img src="',$settings['images_url'],'/replybox/replybox_left.gif" alt="" style="vertical-align: top;"/></td>

<td width="122" align="center" valign="top" bgcolor="#D8DDE3" style="overflow: hidden; padding-top: 7px;">';

if(empty($message['member']['avatar']['image']))

{

echo'<img src="',$settings['images_url'],'/noavatar.gif" alt=""/>';

}

else

{

echo'',$message['member']['avatar']['image'],'';

}





echo'</td>

<td width="5" style="background-image:url(',$settings['images_url'],'/replybox/replybox_bridge.gif); background-position: top;"><img src="',$settings['images_url'],'/replybox/replybox_bridge.gif" alt="" style="vertical-align: top;"/></td>

<td align="left" valign="top" bgcolor="#D8DDE3" style="padding-left: 5px; padding-right: 5px; overflow: hidden; padding-top: 7px;">

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td rowspan="2">

<a href="', $message['href'], '"><img src="', $message['icon_url'] . '" alt="" border="0" /></a>

</td>

<td><a href="', $message['href'], '"><span class="smalltext">', $message['subject'], '</span></a></td></tr>

<tr><td><a href="', $message['href'], '"><span class="smalltext">', !empty($message['counter']) ? $txt[146] . ' #' . $message['counter'] : '', ' ', $txt[30], ': ', $message['time'], ' </span></a>

</td></tr></table><p/>





',$message['body'],'<p/>';

// Show " Last Edit: Time by Person " if this post was edited.

		if ($settings['show_modify'] && !empty($message['modified']['name']))

			echo '

								   <i>', $txt[211], ': ', $message['modified']['time'], ' ', $txt[525], ' ', $message['modified']['name'], '</i> ';

echo'<p/><p/>';



if (!empty($message['attachment']))

{

echo'<center><span class="smalltext"><i>',$txt['are_attachments3'],'</i></span></center>';

}



echo'

</td>

<td width="16" style="background-image:url(',$settings['images_url'],'/replybox/replybox_right.gif); background-position: top;"><img src="',$settings['images_url'],'/replybox/replybox_right.gif" alt="" style="vertical-align: top;"/></td>

</tr>

</table>

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><a href="#sig', $message['id'], '" onclick="return overlay(this, \'sig', $message['id'], '\',\'bottomleft\')"><img src="'.$settings['images_url'].'/replybox/replybox_bottom_left.gif" alt="" style="vertical-align: bottom;"/></a>

<div id="sig', $message['id'], '" style="position:absolute; border: 0px solid #000000; padding: 0px; display:none; width: 500px; overflow: auto;">

<table cellpadding="4" cellspacing="1" class="tborder" width="100%">

<tr>

<td class="windowbg" style="width: 100%;" align="left">';



		// Assuming there are attachments...

		if (!empty($message['attachment']))

		{

			echo '

									<div style="overflow: auto; width: 100%;">';

			foreach ($message['attachment'] as $attachment)

			{

				if ($attachment['is_image'])

				{

					if ($attachment['thumbnail']['has_thumb'])

						echo '

									<a href="', $attachment['href'], ';image" id="link_', $attachment['id'], '" onclick="', $attachment['thumbnail']['javascript'], '"><img src="', $attachment['thumbnail']['href'], '" alt="" id="thumb_', $attachment['id'], '" border="0" /></a><br />';

					else

						echo '

									<img src="' . $attachment['href'] . ';image" alt="" width="' . $attachment['width'] . '" height="' . $attachment['height'] . '" border="0" /><br />';

				}

				echo '

										<a href="' . $attachment['href'] . '"><img src="' . $settings['images_url'] . '/icons/clip.gif" align="middle" alt="*" border="0" />' . $attachment['name'] . '</a> (', $attachment['size'], ($attachment['is_image'] ? ', ' . $attachment['real_width'] . 'x' . $attachment['real_height'] . ' - ' . $txt['attach_viewed'] : ' - ' . $txt['attach_downloaded']) . ' ' . $attachment['downloads'] . ' ' . $txt['attach_times'] . '.)<br />';

			}



		}

echo'

',$message['member']['signature'],'

<div style="text-align: right;"><a href="#" onclick="overlayclose(\'sig', $message['id'], '\'); return false">[',$txt['closebox'],']</a></div></td></tr></table></div></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/replybox/replybox_bottom_mid.gif);"></td>

<td><img src="',$settings['images_url'],'/replybox/replybox_bottom_right.gif" alt=""/></td>

</tr>

</table><p/>';



}

  // And finally, if it's not the first post (start of the topic) and it's not first on the page, show a normal reply box.

else	 

{

// A normal reply box.

echo'<!--ok-->

<div id="userinfo', $message['id'], '" style="position:absolute; border: 0px solid #000000; width: 150px; padding: 0px; display:none">

<table cellpadding="4" cellspacing="1" class="tborder" width="150">

<tr>

<td class="windowbg" style="width: 100%;" align="center">

<span class="smalltext">';



		// Show the member's custom title, if they have one.

		if (isset($message['member']['title']) && $message['member']['title'] != '')

			echo '

								', $message['member']['title'], '<br />';



		// Show the member's primary group (like 'Administrator') if they have one.

		if (isset($message['member']['group']) && $message['member']['group'] != '')

			echo '

								', $message['member']['group'], '<br />';



		// Don't show these things for guests.

		if (!$message['member']['is_guest'])

		{

			// Show the post group if and only if they have no other group or the option is on, and they are in a post group.

			if ((empty($settings['hide_post_group']) || $message['member']['group'] == '') && $message['member']['post_group'] != '')

				echo '

								', $message['member']['post_group'], '<br />';

			echo '

								', $message['member']['group_stars'], '<br />';



			// Is karma display enabled?  Total or +/-?

			if ($modSettings['karmaMode'] == '1')

				echo '

								<br />

								', $modSettings['karmaLabel'], ' ', $message['member']['karma']['good'] - $message['member']['karma']['bad'], '<br />';

			elseif ($modSettings['karmaMode'] == '2')

				echo '

								<br />

								', $modSettings['karmaLabel'], ' +', $message['member']['karma']['good'], '/-', $message['member']['karma']['bad'], '<br />';



			// Is this user allowed to modify this member's karma?

			if ($message['member']['karma']['allow'])

				echo '

								<a href="', $scripturl, '?action=modifykarma;sa=applaud;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.' . $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaApplaudLabel'], '</a>

								<a href="', $scripturl, '?action=modifykarma;sa=smite;uid=', $message['member']['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';m=', $message['id'], ';sesc=', $context['session_id'], '">', $modSettings['karmaSmiteLabel'], '</a><br />';



			// Show online and offline buttons?

			if (!empty($modSettings['onlineEnable']) && !$message['member']['is_guest'])

				echo '

								', $context['can_send_pm'] ? '<a href="' . $message['member']['online']['href'] . '" title="' . $message['member']['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $message['member']['online']['image_href'] . '" alt="' . $message['member']['online']['text'] . '" border="0" style="margin-top: 2px;" />' : $message['member']['online']['text'], $context['can_send_pm'] ? '</a>' : '', $settings['use_image_buttons'] ? '<span class="smalltext"> ' . $message['member']['online']['text'] . '</span>' : '', '<br /><br />';



			// Show the member's gender icon?

			if (!empty($settings['show_gender']) && $message['member']['gender']['image'] != '')

				echo '

								', $txt[231], ': ', $message['member']['gender']['image'], '<br />';



			// Show how many posts they have made.

			echo '

								', $txt[26], ': ', $message['member']['posts'], '<br />

								<br />';



			// Show their personal text?

			if (!empty($settings['show_blurb']) && $message['member']['blurb'] != '')

				echo '

								', $message['member']['blurb'], '<br />

								<br />';



			// This shows the popular messaging icons.

			echo '

								', $message['member']['icq']['link'], '

								', $message['member']['msn']['link'], '

								', $message['member']['aim']['link'], '

								', $message['member']['yim']['link'], '<br />';



			// Show the profile, website, email address, and personal message buttons.

			if ($settings['show_profile_buttons'])

			{

				// Don't show the profile button if you're not allowed to view the profile.

				if ($message['member']['can_view_profile'])

					echo '

								<a href="', $message['member']['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt[27] . '" title="' . $txt[27] . '" border="0" />' : $txt[27]), '</a>';



				// Don't show an icon if they haven't specified a website.

				if ($message['member']['website']['url'] != '')

					echo '

								<a href="', $message['member']['website']['url'], '" title="' . $message['member']['website']['title'] . '" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" />' : $txt[515]), '</a>';



				// Don't show the email address if they want it hidden.

				if (empty($message['member']['hide_email']))

					echo '

								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';



				// Since we know this person isn't a guest, you *can* message them.

				if ($context['can_send_pm'])

					echo '

								<a href="', $scripturl, '?action=pm;sa=send;u=', $message['member']['id'], '" title="', $message['member']['online']['label'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($message['member']['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . $message['member']['online']['label'] . '" border="0" />' : $message['member']['online']['label'], '</a>';

			}

		}

		// Otherwise, show the guest's email.

		elseif (empty($message['member']['hide_email']))

			echo '

								<br />

								<br />

								<a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';



		// Maybe they want to report this post to the moderator(s)?

		if ($context['can_report_moderator'])

			echo '

									<p/><a href="', $scripturl, '?action=reporttm;topic=', $context['current_topic'], '.', $message['counter'], ';msg=', $message['id'], '">', $txt['rtm1'], '</a> ';

		echo '

									<br/><img src="', $settings['images_url'], '/ip.gif" alt="" border="0" />';



		// Show the IP to this user for this post - because you can moderate?

		if ($context['can_moderate_forum'] && !empty($message['member']['ip']))

			echo '

<a href="', $scripturl, '?action=trackip;searchip=', $message['member']['ip'], '">', $message['member']['ip'], '</a> <a href="', $scripturl, '?action=helpadmin;help=see_admin_ip" onclick="return reqWin(this.href);" class="help">(?)</a>';

		// Or, should we show it because this is you?

		elseif ($message['can_see_ip'])

			echo '

									<br/><a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $message['member']['ip'], '</a>';

		// Okay, are you at least logged in?  Then we can show something about why IPs are logged...

		elseif (!$context['user']['is_guest'])

			echo '

									<br/><a href="', $scripturl, '?action=helpadmin;help=see_member_ip" onclick="return reqWin(this.href);" class="help">', $txt[511], '</a>';

		// Otherwise, you see NOTHING!

		else

			echo '

									', $txt[511];





echo'</span>

<div style="text-align: right;"><a href="#" onclick="overlayclose(\'userinfo', $message['id'], '\'); return false">[',$txt['closebox'],']</a></div>

</td></tr></table></div>

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><a href="#userinfo', $message['id'], '" onclick="return overlay(this, \'userinfo', $message['id'], '\',\'bottomright\')"><img src="'.$settings['images_url'].'/replybox/replybox_topleft.gif" alt="" style="vertical-align: bottom;"/></a></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/replybox/replybox_topmid.gif); padding-top: 14px; padding-left: 6px; background-position: bottom;" align="left">

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td width="50%" align="left" class="smalltext"><b>

',$txt['reppostedby'],' ', $message['member']['link'], '</b></td>

<td width="50%" align="right" class="smalltext"><b>';

		// Can they reply? Have they turned on quick reply?

		if ($context['can_reply'] && !empty($options['display_quick_reply']))

			echo '

					<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '" onclick="doQuote(', $message['id'], ', \'', $context['session_id'], '\'); return false;"> &nbsp; ',$txt['revquote'],'</a>';



		// So... quick reply is off, but they *can* reply?

		elseif ($context['can_reply'])

			echo '

					<a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '"> &nbsp; ',$txt['revquote'],'</a>';



		// Can the user modify the contents of this post?

		if ($message['can_modify'])

			echo '

					<a href="', $scripturl, '?action=post;msg=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '"> &nbsp; ',$txt['revmodify'],'</a>';



		// How about... even... remove it entirely?!

		if ($message['can_remove'])

			echo '

					<a href="', $scripturl, '?action=deletemsg;topic=', $context['current_topic'], '.', $context['start'], ';msg=', $message['id'], ';sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt[154], '?\');"> &nbsp; ',$txt['revdelete'],'</a>';



		// What about splitting it off the rest of the topic?

		if ($context['can_split'])

			echo '

					<a href="', $scripturl, '?action=splittopics;topic=', $context['current_topic'], '.0;at=', $message['id'], '"> &nbsp; ',$txt['revsplit'],'</a>';



		// Show a checkbox for quick moderation?

		if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $message['can_remove'])

			echo '

									<input type="checkbox" name="msgs[]" value="', $message['id'], '" class="check" ', empty($settings['use_tabs']) ? 'onclick="document.getElementById(\'quickmodSubmit\').style.display = \'\';"' : '', ' />';



echo'</b></td>

</tr>

</table>



</td>

<td><img src="',$settings['images_url'],'/replybox/replybox_topright.gif" alt="" style="vertical-align: bottom;"/></td>

</tr>

</table>

<table width="100%" cellspacing="0" cellpadding="0" style="table-layout: fixed;">

<tr>

<td width="16" style="background-image:url(',$settings['images_url'],'/replybox/replybox_left.gif); background-position: top;"><img src="',$settings['images_url'],'/replybox/replybox_left.gif" alt="" style="vertical-align: top;"/></td>

<td width="122" align="center" valign="top" bgcolor="#D8DDE3" style="overflow: hidden; padding-top: 7px;">';

if(empty($message['member']['avatar']['image']))

{

echo'<img src="',$settings['images_url'],'/noavatar.gif" alt=""/>';

}

else

{

echo'',$message['member']['avatar']['image'],'';

}





echo'</td>

<td width="5" style="background-image:url(',$settings['images_url'],'/replybox/replybox_bridge.gif); background-position: top;"><img src="',$settings['images_url'],'/replybox/replybox_bridge.gif" alt="" style="vertical-align: top;"/></td>

<td align="left" valign="top" bgcolor="#D8DDE3" style="padding-left: 5px; padding-right: 5px; overflow: hidden; padding-top: 7px;">

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td rowspan="2">

<a href="', $message['href'], '"><img src="', $message['icon_url'] . '" alt="" border="0" /></a>

</td>

<td><a href="', $message['href'], '"><span class="smalltext">', $message['subject'], '</span></a></td></tr>

<tr><td><a href="', $message['href'], '"><span class="smalltext">', !empty($message['counter']) ? $txt[146] . ' #' . $message['counter'] : '', ' ', $txt[30], ': ', $message['time'], ' </span></a>

</td></tr></table><p/>





',$message['body'],'<p/>';

// Show " Last Edit: Time by Person " if this post was edited.

		if ($settings['show_modify'] && !empty($message['modified']['name']))

			echo '

								   <i>', $txt[211], ': ', $message['modified']['time'], ' ', $txt[525], ' ', $message['modified']['name'], '</i> ';

echo'<p/><p/>';



if (!empty($message['attachment']))

{

echo'<center><span class="smalltext"><i>',$txt['are_attachments3'],'</i></span></center>';

}



echo'

</td>

<td width="16" style="background-image:url(',$settings['images_url'],'/replybox/replybox_right.gif); background-position: top;"><img src="',$settings['images_url'],'/replybox/replybox_right.gif" alt="" style="vertical-align: top;"/></td>

</tr>

</table>

<table width="100%" cellpadding="0" cellspacing="0">

<tr>

<td><a href="#sig', $message['id'], '" onclick="return overlay(this, \'sig', $message['id'], '\',\'bottomleft\')"><img src="'.$settings['images_url'].'/replybox/replybox_bottom_left.gif" alt="" style="vertical-align: bottom;"/></a>

<div id="sig', $message['id'], '" style="position:absolute; border: 0px solid #000000; padding: 0px; display:none; width: 500px; overflow: auto;">

<table cellpadding="4" cellspacing="1" class="tborder" width="100%">

<tr>

<td class="windowbg" style="width: 100%;" align="left">';



		// Assuming there are attachments...

		if (!empty($message['attachment']))

		{

			echo '

									<div style="overflow: auto; width: 100%;">';

			foreach ($message['attachment'] as $attachment)

			{

				if ($attachment['is_image'])

				{

					if ($attachment['thumbnail']['has_thumb'])

						echo '

									<a href="', $attachment['href'], ';image" id="link_', $attachment['id'], '" onclick="', $attachment['thumbnail']['javascript'], '"><img src="', $attachment['thumbnail']['href'], '" alt="" id="thumb_', $attachment['id'], '" border="0" /></a><br />';

					else

						echo '

									<img src="' . $attachment['href'] . ';image" alt="" width="' . $attachment['width'] . '" height="' . $attachment['height'] . '" border="0" /><br />';

				}

				echo '

										<a href="' . $attachment['href'] . '"><img src="' . $settings['images_url'] . '/icons/clip.gif" align="middle" alt="*" border="0" />' . $attachment['name'] . '</a> (', $attachment['size'], ($attachment['is_image'] ? ', ' . $attachment['real_width'] . 'x' . $attachment['real_height'] . ' - ' . $txt['attach_viewed'] : ' - ' . $txt['attach_downloaded']) . ' ' . $attachment['downloads'] . ' ' . $txt['attach_times'] . '.)<br />';

			}



		}

echo'

',$message['member']['signature'],'

<div style="text-align: right;"><a href="#" onclick="overlayclose(\'sig', $message['id'], '\'); return false">[',$txt['closebox'],']</a></div></td></tr></table></div></td>

<td width="100%" style="background-image:url(',$settings['images_url'],'/replybox/replybox_bottom_mid.gif);"></td>

<td><img src="',$settings['images_url'],'/replybox/replybox_bottom_right.gif" alt=""/></td>

</tr>

</table><p/>';

}

						}

	echo '

</td></tr></table>

<a name="lastPost"></a>';









	if ($context['show_spellchecking'])

		echo '

<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/spellcheck.js"></script>';



echo '

<script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/xml_topic.js"></script>

<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

	quickReplyCollapsed = ', !empty($options['display_quick_reply']) && $options['display_quick_reply'] == 2 ? 'false' : 'true', ';



	smf_topic = ', $context['current_topic'], ';

	smf_start = ', $context['start'], ';

	smf_show_modify = ', $settings['show_modify'] ? '1' : '0', ';



	// On quick modify, this is what the body will look like.

	var smf_template_body_edit = \'<div id="error_box" style="padding: 4px; color: red;"></div><textarea class="editor" name="message" rows="12" style="width: 94%; margin-bottom: 10px;">%body%</textarea><br /><input type="hidden" name="sc" value="', $context['session_id'], '" /><input type="hidden" name="topic" value="', $context['current_topic'], '" /><input type="hidden" name="msg" value="%msg_id%" /><div style="text-align: center;"><input type="submit" name="post" value="', $txt[10], '" onclick="return modify_save(\\\'' . $context['session_id'] . '\\\');" accesskey="s" />', $context['show_spellchecking'] ? '<input type="button" value="' . $txt['spell_check'] . '" onclick="spellCheck(\\\'quickModForm\\\', \\\'message\\\');" />' : '', '<input type="submit" name="cancel" value="', $txt['modify_cancel'], '" onclick="return modify_cancel();" /></div>\';



	// And this is the replacement for the subject.

	var smf_template_subject_edit = \'<input type="text" name="subject" value="%subject%" size="60" style="width: 99%;"  maxlength="80" />\';



	// Restore the message to this after editing.

	var smf_template_body_normal = \'%body%\';

	var smf_template_subject_normal = \'<a href="', $scripturl, '?topic=', $context['current_topic'], '.msg%msg_id%#msg%msg_id%">%subject%</a>\';

	var smf_template_top_subject = "', $txt[118], ': %subject% (', $txt[641], ' ', $context['num_views'], ' ', $txt[642], ')"



	if (window.XMLHttpRequest)

		showModifyButtons();

// ]]></script>

<table border="0" width="100%" cellpadding="0" cellspacing="0" style="margin-bottom: 1ex;">

		<tr><td valign="top">';

	if ($settings['linktree_inline'])

			echo '

', theme_linktree(), ' ';

		  echo '

		</td></tr>

</table>';



	$mod_buttons = array(

		'move' => array('test' => 'can_move', 'text' => 132, 'image' => 'admin_move.gif', 'lang' => true, 'url' => $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0'),

		'delete' => array('test' => 'can_delete', 'text' => 63, 'image' => 'admin_rem.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt[162] . '\');"', 'url' => $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id']),

		'lock' => array('test' => 'can_lock', 'text' => empty($context['is_locked']) ? 'smf279' : 'smf280', 'image' => 'admin_lock.gif', 'lang' => true, 'url' => $scripturl . '?action=lock;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']),

		'sticky' => array('test' => 'can_sticky', 'text' => empty($context['is_sticky']) ? 'smf277' : 'smf278', 'image' => 'admin_sticky.gif', 'lang' => true, 'url' => $scripturl . '?action=sticky;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id']),

		'merge' => array('test' => 'can_merge', 'text' => 'smf252', 'image' => 'merge.gif', 'lang' => true, 'url' => $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic']),

		'remove_poll' => array('test' => 'can_remove_poll', 'text' => 'poll_remove', 'image' => 'admin_remove_poll.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['poll_remove_warn'] . '\');"', 'url' => $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start']),

		'calendar' => array('test' => 'calendar_post', 'text' => 'calendar37', 'image' => 'linktocal.gif', 'lang' => true, 'url' => $scripturl . '?action=post;calendar;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id']),

	);



	if ($context['can_remove_post'] && !empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1)

		$mod_buttons[] = array('text' => 'quickmod_delete_selected', 'image' => 'delete_selected.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt['quickmod_confirm'] . '\');" id="quickmodSubmit"', 'url' => 'javascript:document.quickModForm.submit();');



	// Show the page index... "Pages: [1]".

	echo '

<table width="100%" cellpadding="0" cellspacing="0" border="0">

	<tr>

		<td class="middletext" valign="bottom" style="padding-bottom: 4px;">', $txt[139], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . ' <a href="#lastPost"><b>' . $txt['topbottom5'] . '</b></a>' : '', '</td>

		<td align="right" style="padding-right: 1ex;">

			<div class="nav" style="margin-bottom: 2px;"> ', $context['previous_next'], '</div>

		</td>

	</tr>

</table>';



	echo '

	<table cellpadding="0" cellspacing="0" border="0" style="margin-left: 1ex;">

		<tr>

			<td>', template_button_strip($mod_buttons, 'bottom') , '</td>

		</tr>

	</table>';



	if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $context['can_remove_post'])

		echo '

	<input type="hidden" name="sc" value="', $context['session_id'], '" />';



	if (empty($settings['use_tabs']))

		echo '

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[

		document.getElementById("quickmodSubmit").style.display = "none";

	// ]]></script>';



	echo '

</form>';





	if ($context['can_reply'] && !empty($options['display_quick_reply']))

	{

		echo '

<a name="quickreply"></a>



<table border="0" cellspacing="1" cellpadding="3" class="bordercolor" width="100%" style="clear: both;">







	<tr>

		<td class="windowbg" width="25%" valign="top">', $txt['quick_reply_2'], $context['is_locked'] ? '<br /><br /><b>' . $txt['quick_reply_warning'] . '</b>' : '', '</td>

		<td class="windowbg" width="75%" align="center">

			<form action="', $scripturl, '?action=post2" method="post" accept-charset="', $context['character_set'], '" name="postmodify" id="postmodify" onsubmit="submitonce(this);" style="margin: 0;">

				<input type="hidden"; name="topic" value="' . $context['current_topic'] . '" />

				<input type="hidden" name="subject" value="' . $context['response_prefix'] . $context['subject'] . '" />

				<input type="hidden" name="icon" value="xx" />

				<input type="hidden" name="notify" value="', $context['is_marked_notify'] || !empty($options['auto_notify']) ? '1' : '0', '" />

				<input type="hidden" name="goback" value=";', empty($options['return_to_post']) ? '0' : '1', '" />

				<input type="hidden" name="num_replies" value="', $context['num_replies'], '" />

				<textarea cols="75" rows="7" style="width: 95%; height: 100px;" name="message" tabindex="1"></textarea><br />

				<input type="submit" name="post" value="' . $txt[105] . '" onclick="return submitThisOnce(this);" accesskey="s" tabindex="2" />

				<input type="submit" name="preview" value="' . $txt[507] . '" onclick="return submitThisOnce(this);" accesskey="p" tabindex="4" />';

		if ($context['show_spellchecking'])

			echo '

				<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'postmodify\', \'message\');" tabindex="5"/>';

		echo '

				<input type="hidden" name="sc" value="' . $context['session_id'] . '" />

				<input type="hidden" name="seqnum" value="', $context['form_sequence_number'], '" />

			</form>

		</td>

	</tr>

</table>';

	}

	if ($context['show_spellchecking'])

		echo '

<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>';



}

function theme_show_main_buttons()

{

	global $context, $settings, $options, $txt, $scripturl;



	$buttonArray = array();

	if ($context['can_reply'])

		$buttonArray[] = '<a href="' . $scripturl . '?action=post;topic=' . $context['current_topic'] . '.' . $context['start'] . ';num_replies=' . $context['num_replies'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/reply.gif" alt="' . $txt[146] . '" border="0" />' : $txt[146]) . '</a>';

	if ($context['can_add_poll'])

		$buttonArray[] = '<a href="' . $scripturl . '?action=editpoll;add;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/addpoll.gif" alt="' . $txt['add_poll'] . '" border="0" />' : $txt['add_poll']) . '</a>';

	if ($context['can_mark_notify'])

		$buttonArray[] = '<a href="' . $scripturl . '?action=notify;sa=' . ($context['is_marked_notify'] ? 'off' : 'on') . ';topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . ($context['is_marked_notify'] ? $txt['notification_disable_topic'] : $txt['notification_enable_topic']) . '\');">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/notify.gif" alt="' . $txt[131] . '" border="0" />' : $txt[131]) . '</a>';

	if ($context['can_send_topic'])

		$buttonArray[] = '<a href="' . $scripturl . '?action=sendtopic;topic=' . $context['current_topic'] . '.0">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/sendtopic.gif" alt="' . $txt[707] . '" border="0" />' : $txt[707]) . '</a>';

	$buttonArray[] = '<a href="' . $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0" target="_blank">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/print.gif" alt="' . $txt[465] . '" border="0" />' : $txt[465]) . '</a>';



	return implode($context['menu_separator'], $buttonArray);



}

function theme_show_mod_buttons()

{

	global $context, $settings, $options, $txt, $scripturl, $modSettings;



	$moderationButtons = array();



	if ($context['can_move'])

		$moderationButtons[] = '<a href="' . $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin_move.gif" alt="' . $txt[132] . '" border="0" />' : $txt[132]) . '</a>';

	if ($context['can_delete'])

		$moderationButtons[] = '<a href="' . $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . $txt[162] . '\');">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin_rem.gif" alt="' . $txt[63] . '" border="0" />' : $txt[63]) . '</a>';

	if ($context['can_lock'])

		$moderationButtons[] = '<a href="' . $scripturl . '?action=lock;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin_lock.gif" alt="' . (empty($context['is_locked']) ? $txt['smf279'] : $txt['smf280']) . '" border="0" />' : (empty($context['is_locked']) ? $txt['smf279'] : $txt['smf280'])) . '</a>';

	if ($context['can_sticky'])

		$moderationButtons[] = '<a href="' . $scripturl . '?action=sticky;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin_sticky.gif" alt="' . (empty($context['is_sticky']) ? $txt['smf277'] : $txt['smf278']) . '" border="0" />' : (empty($context['is_sticky']) ? $txt['smf277'] : $txt['smf278'])) . '</a>';

	if ($context['can_merge'])

		$moderationButtons[] = '<a href="' . $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/merge.gif" alt="' . $txt['smf252'] . '" border="0" />' : $txt['smf252']) . '</a>';

	if ($context['can_remove_poll'])

		$moderationButtons[] = '<a href="' . $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start'] . '" onclick="return confirm(\'' . $txt['poll_remove_warn'] . '\');">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin_remove_poll.gif" alt="' . $txt['poll_remove'] . '" border="0" />' : $txt['poll_remove']) . '</a>';



	if ($context['calendar_post'])

		$moderationButtons[] = '<a href="' . $scripturl . '?action=post;calendar;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/linktocal.gif" alt="' . $txt['calendar37'] . '" border="0" />' : $txt['calendar37']) . '</a>';



	if ($context['can_remove_post'] && !empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1)

		$moderationButtons[] = $settings['use_image_buttons'] ? '<input type="image" name="submit" src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/delete_selected.gif" alt="' . $txt['quickmod_delete_selected'] . '" style="background-color: transparent;" />' : '<a href="javascript:document.forms.quickModForm.submit();">' . $txt['quickmod_delete_selected'] . '</a>';



	return implode($context['menu_separator'], $moderationButtons);

}



?>